#!/usr/bin/env python

'''A simple class that implements a progress bar.  It does not run in a
separate thread.

Mike Markowski, mike.ab3ap@gmail.com
Apr 2023
'''

import sys
from PyQt5.QtWidgets import QApplication, QWidget, QLabel, QPushButton, QVBoxLayout, QHBoxLayout, QProgressBar
from PyQt5.QtCore import Qt

class PBar(QWidget):

	def __init__(self, *args, **kwargs):
		super().__init__(*args, **kwargs)

		self.setGeometry(140, 337, 300, 50)
		self.setWindowTitle('Link Budget Progress')

		layout = QVBoxLayout()
		self.setLayout(layout)

		hbox = QHBoxLayout()
		self.pbar = QProgressBar(self)
		hbox.addWidget(self.pbar)
		layout.addLayout(hbox)
		self.show()

	def progress(self, val):
		if val < self.pbar.maximum():
			self.pbar.setValue(val)
		else:
			self.close()
